Page MenuHomePhabricator

[Story] Stop using deprecated methods of Entity
Closed, ResolvedPublic1 Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRemove usage of deprecated methods
mediawiki/extensions/Wikibase : masterAdd missing redirect checks to EntityContent classes
mediawiki/extensions/Wikibase : masterRemove usage of Entity::copy
mediawiki/extensions/Wikibase : masterAdd missing EntityContent::isEmpty default implementation
mediawiki/extensions/Wikibase : masterMove isEmpty and isStub to Item/PropertyContent
mediawiki/extensions/Wikibase : masterUse getStatements instead of getClaims in EntityContent subclasses

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Bene created this task.Jul 6 2015, 6:58 PM
Bene claimed this task.
Bene raised the priority of this task from to Normal.
Bene updated the task description. (Show Details)
Bene added subscribers: gerritbot, JanZerebecki, daniel and 4 others.

Change 222978 had a related patch set uploaded (by Bene):
Remove usage of Entity::copy

https://gerrit.wikimedia.org/r/222978

Change 222934 had a related patch set uploaded (by Bene):
Move isEmpty and isStub to Item/PropertyContent

https://gerrit.wikimedia.org/r/222934

Bene set Security to None.
Bene edited a custom field.

Change 222895 had a related patch set uploaded (by Bene):
Use getStatements instead of getClaims in EntityContent subclasses

https://gerrit.wikimedia.org/r/222895

Change 223563 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Avoid a little bit of code duplication in EntityContent classes

https://gerrit.wikimedia.org/r/223563

Change 222895 merged by jenkins-bot:
Use getStatements instead of getClaims in EntityContent subclasses

https://gerrit.wikimedia.org/r/222895

Change 223567 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Alternative architecture of EntityContent::isStub

https://gerrit.wikimedia.org/r/223567

Change 222934 merged by jenkins-bot:
Move isEmpty and isStub to Item/PropertyContent

https://gerrit.wikimedia.org/r/222934

Change 223567 merged by jenkins-bot:
Add missing EntityContent::isEmpty default implementation

https://gerrit.wikimedia.org/r/223567

Change 222978 merged by Addshore:
Remove usage of Entity::copy

https://gerrit.wikimedia.org/r/222978

Change 223563 merged by jenkins-bot:
Add missing redirect checks to EntityContent classes

https://gerrit.wikimedia.org/r/223563

daniel added a comment.Aug 5 2015, 3:07 PM

All patches are merged, is this done?

There are some usages left when I search for the usages of e.g. Entity::removeLabel. Since this is a crucial requirement for T98290: [Task] Remove deprecated methods from Entity and subtypes I think the ticket should stay open.

Jonas renamed this task from Stop using deprecated methods on Entity to [Task] Stop using deprecated methods on Entity.Aug 19 2015, 12:14 PM
Bene moved this task from Review to Doing on the Wikidata-Sprint-2015-08-18 board.Aug 24 2015, 2:17 PM

Is this really in review? I am not sure I can find any patches left/...?

Bene added a comment.Aug 25 2015, 11:40 AM

Nope, it's not. I'm working on another patch but it isn't on gerrit yet.

Change 233921 had a related patch set uploaded (by Bene):
Remove usage of deprecated methods

https://gerrit.wikimedia.org/r/233921

Bene moved this task from Doing to Review on the Wikidata-Sprint-2015-08-18 board.Aug 28 2015, 8:27 PM
Jonas renamed this task from [Task] Stop using deprecated methods on Entity to [Task] Stop using deprecated methods of Entity.Aug 31 2015, 10:12 AM
Jonas renamed this task from [Task] Stop using deprecated methods of Entity to [Story] Stop using deprecated methods of Entity.Aug 31 2015, 10:25 AM

I made this a story and I would appreciate if people working on this would create a subtask for certain methods etc. , so the progress can be verified.
I also think that discussion of [T110177] needs to be finish before working an this.

Change 233921 merged by jenkins-bot:
Remove usage of deprecated methods

https://gerrit.wikimedia.org/r/233921

Bene moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.Aug 31 2015, 6:15 PM
Lydia_Pintscher closed this task as Resolved.Sep 2 2015, 8:36 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.